Debian Bug report logs - #367671
manpages: changes to undocumented.3

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Justin Pryzby <justinpryzby@users.sourceforge.net>

Date: Wed, 17 May 2006 16:33:02 UTC

Severity: minor

Found in version manpages/2.28-1

Fixed in version manpages/2.33-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: submit@bugs.debian.org
Subject: manpages: changes to undocumented.3
Date: Wed, 17 May 2006 12:13:02 -0400
Package: manpages
Version: 2.28-1
Severity: minor

The following should be added to unimplemented.2, and removed from
undocumented.3:

chflags: comparable to chattr
fattach, fdetach: comparable to mount, but for files and their
descriptors.
	open()ing the filename again is something like dup(fd), but
	with fresh "state" for the file (eg. offset).

The following should probably have a .so link added (which Debian
converts to a symlink), and then removed from undocumented.3.

fcrypt: alias for crypt

The following are already documented, and should be removed from
undocumented.3:

fexecve
fwscanf
program_invocation_name
program_invocation_short_name

The following don't seem to exist; information on them would be
interesting to me:

setfileno
nlist
stuff
p_query



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 367671@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 367671@bugs.debian.org
Subject: f.*ing and f.*able functions
Date: Wed, 17 May 2006 15:05:34 -0400
Heh.

fwriteable freadable fwriting should also be removed from
undocumented.3; the real names are prefixed with "__".  You coul add
links from the unprefixed name, but I'm not sure why.

stdio.3 or stdin.3 should probably reference stdio_ext.3.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 367671@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>,367671@bugs.debian.org
Subject: Re: Bug#367671: f.*ing and f.*able functions
Date: Wed, 17 May 2006 22:11:36 +0200 (MEST)
Hi,

> fwriteable freadable fwriting should also be removed from
> undocumented.3; 

Done.

> the real names are prefixed with "__".  You coul add
> links from the unprefixed name, but I'm not sure why.

Not necessary.

> stdio.3 or stdin.3 should probably reference stdio_ext.3.

No.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 367671@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: 367671@bugs.debian.org
Subject: fchflags unimplemented
Date: Thu, 18 May 2006 09:14:18 -0400
fchflags and lutimes should be moved from undocumented.* to
unimplemented.2.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #25 received at 367671@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>,367671@bugs.debian.org
Subject: Re: Bug#367671: manpages: changes to undocumented.3
Date: Tue, 23 May 2006 02:42:55 +0200 (MEST)
> Package: manpages
> Version: 2.28-1
> Severity: minor
> 
> The following should be added to unimplemented.2, and removed from
> undocumented.3:
> 
> chflags: comparable to chattr
> fattach, fdetach: comparable to mount, but for files and their
> descriptors.
> 	open()ing the filename again is something like dup(fd), but
> 	with fresh "state" for the file (eg. offset).

Removed from undocumented: yes, for 2.33.  But there is no need
to add them to unimplemented.  These functions currently don't 
exist on Linux, and may well never exist.

> The following should probably have a .so link added (which Debian
> converts to a symlink), and then removed from undocumented.3.
> 
> fcrypt: alias for crypt

It is not clear to me that the issue is that simple.  No change.

> The following are already documented, and should be removed from
> undocumented.3:
> 
> fexecve
> fwscanf
> program_invocation_name
> program_invocation_short_name

I don't know what version of undocumented.3 you are talking
about, but three of the above are not listed in my page.

fwscanf is indeed not documented; not sure why you think it is, 
unless the presence of a POSIX page confused you.

> The following don't seem to exist; information on them would be
> interesting to me:
> 
> setfileno

Removed.

> nlist

removed.

> stuff

??

> p_query

This exists, and is not documented.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #30 received at 367671@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>,367671@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#367671: fchflags unimplemented
Date: Tue, 23 May 2006 02:50:03 +0200 (MEST)
tags 367671 fixed-upstream
thanks

> fchflags 

Done for 2.33.

> and lutimes should be moved from undocumented.* to
> unimplemented.2.

lutimes is not in any page of mine.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #37 received at 367671@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Michael Kerrisk <mtk-manpages@gmx.net>, 367671@bugs.debian.org
Subject: Re: Bug#367671: manpages: changes to undocumented.3
Date: Tue, 23 May 2006 10:45:12 -0400
On Tue, May 23, 2006 at 02:42:55AM +0200, Michael Kerrisk wrote:
> > Package: manpages
> > Version: 2.28-1
> > Severity: minor
> > 
> > The following should be added to unimplemented.2, and removed from
> > undocumented.3:
> > 
> > chflags: comparable to chattr
> > fattach, fdetach: comparable to mount, but for files and their
> > descriptors.
> > 	open()ing the filename again is something like dup(fd), but
> > 	with fresh "state" for the file (eg. offset).
> 
> Removed from undocumented: yes, for 2.33.  But there is no need
> to add them to unimplemented.  These functions currently don't 
> exist on Linux, and may well never exist.
> 
> > The following should probably have a .so link added (which Debian
> > converts to a symlink), and then removed from undocumented.3.
> > 
> > fcrypt: alias for crypt
> 
> It is not clear to me that the issue is that simple.  No change.
./crypt/crypt-entry.c:

/*
 * To make fcrypt users happy.
 * They don't need to call init_des.
 */
#ifdef _LIBC
weak_alias (crypt, fcrypt)
#else
char *
__fcrypt (key, salt)
     const char *key;
     const char *salt;
{
  return crypt (key, salt);
}
#endif

> > The following are already documented, and should be removed from
> > undocumented.3:
> > 
> > fexecve
> > fwscanf
> > program_invocation_name
> > program_invocation_short_name
> 
> I don't know what version of undocumented.3
undocumented (8) [scandetd] - No manpage for this program, utility or function.

This was something debian used to encourage for programs lacking
manpages, but is now discouraged in favor of being able to
systematically search for such cases.

undocumented (3)     - undocumented library functions
undocumented (2)     - undocumented system calls

These are included in the Debian package with lists of undocumented
things.

undocumented (7)     - No manpage for this program, utility or function.

And this is a "please write documentation" page.

> > stuff
> 
> ??
I don't know either; it is listed in undocumented.3.  Joey?

> > p_query
> 
> This exists, and is not documented.
Where can I read about it?

Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #42 received at 367671@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Michael Kerrisk <mtk-manpages@gmx.net>, 367671@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#367671: fchflags unimplemented
Date: Tue, 23 May 2006 10:49:43 -0400
# Untagging this since the Debian undocumented.* manpages should be
# updated, perhaps even automatically updated/pruned.
tags 367671 - fixed-upstream
thanks

On Tue, May 23, 2006 at 02:50:03AM +0200, Michael Kerrisk wrote:
> tags 367671 fixed-upstream
> thanks
> 
> > fchflags 
> 
> Done for 2.33.
> 
> > and lutimes should be moved from undocumented.* to
> > unimplemented.2.
> 
> lutimes is not in any page of mine.
This might have been another case of me starting to write a manpage
for something from glibc-doc, but then realizing that it isn't
implemented (for Linux).

Justin



Tags removed: fixed-upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#367671; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #49 received at 367671@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 367671@bugs.debian.org
Subject: Re: Re: Bug#367671: manpages: changes to undocumented.3
Date: Wed, 24 May 2006 00:29:31 +0200
> > > The following should probably have a .so link added (which Debian
> > > converts to a symlink), and then removed from undocumented.3.
> > > 
> > > fcrypt: alias for crypt
> > 
> > It is not clear to me that the issue is that simple.  No change.
> ./crypt/crypt-entry.c:
> 
> /*
>  * To make fcrypt users happy.
>  * They don't need to call init_des.
>  */
> #ifdef _LIBC
> weak_alias (crypt, fcrypt)
> #else
> char *
> __fcrypt (key, salt)
>      const char *key;
>      const char *salt;
> {
>   return crypt (key, salt);
> }
> #endif

Yes, I can grep too, you know ;-).

The point is that simply having a link to a page that doesn't 
even mention the function (crypt.3 contains no mention of fcrypt())
is mysterious for the reader.  *If* there is to be a link, then
the page should mention actuall mention the function, and explain
why there are two functions, and what the (current or historical)
differences between them are.  Offhand, I don't know the answer.
Hence, not so simple...

> > > p_query
> > 
> > This exists, and is not documented.
> Where can I read about it?

You tell me...

Cheers,

Michael
-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #54 received at 367671-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 367671-close@bugs.debian.org
Subject: Bug#367671: fixed in manpages 2.33-1
Date: Sun, 04 Jun 2006 00:02:13 -0700
Source: manpages
Source-Version: 2.33-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.33-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.33-1_all.deb
manpages_2.33-1.diff.gz
  to pool/main/m/manpages/manpages_2.33-1.diff.gz
manpages_2.33-1.dsc
  to pool/main/m/manpages/manpages_2.33-1.dsc
manpages_2.33-1_all.deb
  to pool/main/m/manpages/manpages_2.33-1_all.deb
manpages_2.33.orig.tar.gz
  to pool/main/m/manpages/manpages_2.33.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367671@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  4 Jun 2006 08:27:46 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.33-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 367401 367667 367667 367671 368994
Changes: 
 manpages (2.33-1) unstable; urgency=low
 .
   * New upstream release
     . Added mincore(2) to SEE ALSO of mmap(2) (closes: Bug#367401)
     . Added SEE ALSO referring to unlocked_stdio.3 to stdio(3) (closes:
       Bug#367667)
     . Removed some functions that don't exist in undocumented(7) (closes:
       Bug#367671)
     . Added SEE ALSO referring to stdio.3 to unlocked_stdio(3) (closes:
       Bug#367667)
   * Added missing define _GNU_SOURCE to assert_perror(3) (closes:
     Bug#368994)
Files: 
 447b619d43eedf215851c827421236fb 584 doc - manpages_2.33-1.dsc
 1296efe5a9c390499461f431abd06bf8 1171288 doc - manpages_2.33.orig.tar.gz
 78f4916ed8da5fb889a569d2b394bbaf 49021 doc - manpages_2.33-1.diff.gz
 d9debb8e6d6b324dc997350a173d3baf 476446 doc important manpages_2.33-1_all.deb
 491aba9513d11577c1750735dbf6ed26 1204924 doc standard manpages-dev_2.33-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEgoLFW5ql+IAeqTIRAn8TAJ0dtZklJyDnBFU+CobKIzOEfBkShgCgiVZR
bPvcX83RxMKLnNbowqU9ia8=
=KpJQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 11:39:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:23:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.